Subject: Re: bug#21278: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Artur Malabarba <[email-masked]>
Date: Tue, 18 Aug 2015 22:48:20 +0100

2015-08-17 6:04 GMT+01:00 Richard Stallman <[email-masked]>:
>
> It is a screw that char-fold isearch treats space and NL as equivalent.
> They do not look alike.  Please disconnect them.

As of 2 weeks ago, it doesn't. You can verify that by running
(character-fold-to-regexp " ")
The regexp it returns doesn't contain newline chars.

isearch-lax-whitespace does treat space as NL, so maybe that's what
you're seeing.
I believe there's a bug in `isearch-search-fun-default' where even if
you disable `isearch-lax-whitespace', isearch sometimes uses
lax-whitespace anyway.

I would have fixed this myself, but I don't quite understand what that
code is trying to do and last time I asked for help nobody answered.